> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domoai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

See the [File Uploads guide](/guides/api-details/file-uploads).


## OpenAPI

````yaml POST /v1/upload/file
openapi: 3.1.0
info:
  title: DomoAI Enterprise API
  version: 0.15.0
  description: >-
    When an organization is in the BANNED state, Open APIs authenticated with a
    valid API key whose organization is banned return HTTP 403 with error code
    4002 and message "Organization is banned".
servers:
  - url: https://api.domoai.com
security: []
paths:
  /v1/upload/file:
    post:
      tags:
        - Upload
      summary: Upload File
      operationId: upload_file_v1_upload_file_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomoUriInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomoOut_DomoUriResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DomoUriInput:
      properties:
        filename:
          type: string
          title: Filename
          description: Upload file name
      type: object
      required:
        - filename
      title: DomoUriInput
      description: Input schema for file upload
    DomoOut_DomoUriResponse_:
      properties:
        code:
          type: integer
          title: Code
          default: 0
        data:
          $ref: '#/components/schemas/DomoUriResponse'
      type: object
      required:
        - data
      title: DomoOut[DomoUriResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DomoUriResponse:
      properties:
        presigned_url:
          type: string
          title: Presigned Url
          description: Presigned URL for file upload
        headers:
          additionalProperties: true
          type: object
          title: Headers
          description: Headers required for the upload.
        domoai_uri:
          type: string
          title: Domoai Uri
          description: JWT token containing upload information
      type: object
      required:
        - presigned_url
        - headers
        - domoai_uri
      title: DomoUriResponse
      description: Response schema for file upload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: API Key Bearer Token
      scheme: bearer

````